Skip to main content
`Ctrl`+`K`

# Fitter

class astropy.modeling.fitting.Fitter(optimizer, statistic)

  Bases: `object`

  Base class for all fitters.

  Parameters:
    optimizer `python:callable()`

      A callable implementing an optimization algorithm

    statistic `python:callable()`

      Statistic function

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`() | This method performs the actual fitting and modifies the parameter list of a model.
  `objective_function`(fps, *args) | Function to minimize.

  Attributes Documentation

  supported_constraints = []

  Methods Documentation

  abstractmethod __call__()

    This method performs the actual fitting and modifies the parameter list of a model. Fitter subclasses should implement this method.

  objective_function(fps, *args)

    Function to minimize.

    Parameters:
      fps `python:list`

        parameters returned by the fitter

      args `python:list`

        [model, [other_args], [input coordinates]] other_args may include weights or any other quantities specific for a statistic

    Notes

    The list of arguments (args) is set in the `__call__` method. Fitters may overwrite this method, e.g. when statistic functions require other arguments.